VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | Protected Attributes | List of all members
CLineStyle Class Reference

`#include <clinestyle.h>`

## Public Types
enum | LineCap { kLineCapButt = 0 , kLineCapRound , kLineCapSquare }
enum | LineJoin { kLineJoinMiter = 0 , kLineJoinRound , kLineJoinBevel }
using | CoordVector = std::vector< CCoord >

## Public Member Functions
| CLineStyle ()=default
| CLineStyle (LineCap cap, LineJoin join=kLineJoinMiter, CCoord dashPhase=0., uint32_t dashCount=0, const CCoord *dashLengths=nullptr)
| CLineStyle (LineCap cap, LineJoin join, CCoord dashPhase, const CoordVector &dashLengths)
| CLineStyle (const CLineStyle &lineStyle)
| ~CLineStyle () noexcept=default
| CLineStyle (LineCap cap, LineJoin join, CCoord dashPhase, CoordVector &&dashLengths) noexcept
| CLineStyle (CLineStyle &&cls) noexcept
CLineStyle & | operator= (CLineStyle &&cls) noexcept
LineCap | getLineCap () const
LineJoin | getLineJoin () const
CCoord | getDashPhase () const
uint32_t | getDashCount () const
CoordVector & | getDashLengths ()
const CoordVector & | getDashLengths () const
void | setLineCap (LineCap newCap)
void | setLineJoin (LineJoin newJoin)
void | setDashPhase (CCoord phase)
bool | operator== (const CLineStyle &cls) const
bool | operator!= (const CLineStyle &cls) const
CLineStyle & | operator= (const CLineStyle &cls)

## Protected Attributes
LineCap | cap {kLineCapButt}
LineJoin | join {kLineJoinMiter}
CCoord | dashPhase {0.}
CoordVector | dashLengths

## Member Typedef Documentation

## ◆ CoordVector

using CoordVector = std::vector<CCoord>

## Member Enumeration Documentation

## ◆ LineCap

enum LineCap

Enumerator
kLineCapButt |
kLineCapRound |
kLineCapSquare |

## ◆ LineJoin

enum LineJoin

Enumerator
kLineJoinMiter |
kLineJoinRound |
kLineJoinBevel |

## Constructor & Destructor Documentation

## ◆ CLineStyle() [1/6]

CLineStyle | ( |  | ) |
| default

## ◆ CLineStyle() [2/6]

CLineStyle | ( | LineCap | cap,
|  | LineJoin | join = `kLineJoinMiter`,
|  | CCoord | dashPhase = `0.`,
|  | uint32_t | dashCount = `0`,
|  | const CCoord * | dashLengths = `nullptr`
| ) |  |
| explicit

## ◆ CLineStyle() [3/6]

CLineStyle | ( | LineCap | cap,
|  | LineJoin | join,
|  | CCoord | dashPhase,
|  | const CoordVector & | dashLengths
| ) |  |

## ◆ CLineStyle() [4/6]

CLineStyle | ( | const CLineStyle & | lineStyle | ) |

## ◆ ~CLineStyle()

~CLineStyle | ( |  | ) |
| default noexcept

## ◆ CLineStyle() [5/6]

CLineStyle | ( | LineCap | cap,
|  | LineJoin | join,
|  | CCoord | dashPhase,
|  | CoordVector && | dashLengths
| ) |  |
| noexcept

## ◆ CLineStyle() [6/6]

CLineStyle | ( | CLineStyle && | cls | ) |
| noexcept

## Member Function Documentation

## ◆ getDashCount()

uint32_t getDashCount | ( |  | ) | const
| inline

## ◆ getDashLengths() [1/2]

CoordVector & getDashLengths | ( |  | ) |
| inline

## ◆ getDashLengths() [2/2]

const CoordVector & getDashLengths | ( |  | ) | const
| inline

## ◆ getDashPhase()

CCoord getDashPhase | ( |  | ) | const
| inline

## ◆ getLineCap()

LineCap getLineCap | ( |  | ) | const
| inline

## ◆ getLineJoin()

LineJoin getLineJoin | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const CLineStyle & | cls | ) | const
| inline

## ◆ operator=() [1/2]

CLineStyle & operator= | ( | CLineStyle && | cls | ) |
| noexcept

## ◆ operator=() [2/2]

CLineStyle & operator= | ( | const CLineStyle & | cls | ) |

## ◆ operator==()

bool operator== | ( | const CLineStyle & | cls | ) | const

## ◆ setDashPhase()

void setDashPhase | ( | CCoord | phase | ) |
| inline

## ◆ setLineCap()

void setLineCap | ( | LineCap | newCap | ) |
| inline

## ◆ setLineJoin()

void setLineJoin | ( | LineJoin | newJoin | ) |
| inline

## Member Data Documentation

## ◆ cap

LineCap cap {kLineCapButt}
| protected

## ◆ dashLengths

CoordVector dashLengths
| protected

## ◆ dashPhase

CCoord dashPhase {0.}
| protected

## ◆ join

LineJoin join {kLineJoinMiter}
| protected

The documentation for this class was generated from the following files:

- clinestyle.h
- clinestyle.cpp